var XMLHttpRequestObject = false; 

      if (window.XMLHttpRequest) {
        XMLHttpRequestObject = new XMLHttpRequest();
      } else if (window.ActiveXObject) {
        XMLHttpRequestObject = new ActiveXObject("Microsoft.XMLHTTP");
      }

      function getData(dataSource, divID) 
      { 
        if(XMLHttpRequestObject) {
          var obj = document.getElementById(divID); 
          XMLHttpRequestObject.open("GET", dataSource); 

          XMLHttpRequestObject.onreadystatechange = function() 
          { 
            if (XMLHttpRequestObject.readyState == 4 && XMLHttpRequestObject.status == 200) { 
                obj.innerHTML = XMLHttpRequestObject.responseText ;
                //alert(obj.innerHTML); 
            }
            else
            {
				if(divID=="maskdata")
				{
                	obj.innerHTML = '<table class="loopmask" ><tr><td><img src="images/loop.gif" /></td>  </tr></table>';
				}
				else
				{
					obj.innerHTML = '<img src="images/loop.gif" />';
				}
            } 
          } 

          XMLHttpRequestObject.send(null); 
        }
      }